ERRSTR(1) | OpenSSL | ERRSTR(1)

# NAME

errstr - lookup error codes

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

openssl errstr error_code

# DESCRIPTION

Sometimes an application will not load error message and only numerical forms will be available. The errstr utility can be used to display the meaning of the hex code. The hex code is the hex digits after the second colon.

# EXAMPLE

The error code:

27594:error:2006D080:lib(32):func(109):reason(128):bss_file.c:107:

can be displayed with:

openssl errstr 2006D080

to produce the error message:

error:2006D080:BIO routines:BIO_new_file:no such file

# SEE ALSO

openssl_err(3), ERR_load_crypto_strings(3), SSL_load_error_strings(3)

2009-07-20 | 1.0.1-dev